Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions /

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Advice: 2.4 alpha or 2.3.5 stable


Reply


4 Posts   779 Views

Avatar
wilsonsheldon

Community Member, 1 Post

31 January 2010 at 2:42pm

Edited: 31/01/2010 2:43pm

Hi everyone,

This is my first SS project and I'm am debating whether to use 2.3.5 or try 2.4 alpha. Just wanted to ask your opinion. The project is very basic from the CMS standpoint. However, there will be a few hundred subsites (franchises of a parent company) and the parent company would like to approve their content updates.

I know I can use CMS Workflow and Subsites with 2.3.5, but the Roles feature in 2.4 sounds like it might make everything easier.

Has anyone tried to use Roles in it's current state, along with Workflow and Subsites?

Thanks!
Wilson

Avatar
Willr

Forum Moderator, 5513 Posts

31 January 2010 at 4:03pm

Welcome to the Forums Wilson,

Since you're planning on using CMS workflow and Subsites you probably want to be running 2.4. I know the CMS workflow module (the latest version at least) requires 2.4 and a large update of subsites is in the wings I believe as well and that improvement / refactoring is likely to be 2.4 compatible only as well.

Avatar
bones

Community Member, 104 Posts

21 May 2010 at 7:58am

Hi Willr

Any idea when that "large update of subsites" is due? It seems that there are lots of people struggling with it at the moment (not least, me http://www.silverstripe.org/all-other-modules/show/284704#post284704%23post284704 )

Cheers

Avatar
Willr

Forum Moderator, 5513 Posts

21 May 2010 at 4:57pm

Its already happened - you can see the amount of commits over the past 4 months has been quite huge http://open.silverstripe.org/log/modules/subsites/trunk. Make sure you running trunk and SS 2.4 to make use of this work.